<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<!--
`<big-status-icon>` is not documented properly yet
-->
<dom-module id="big-status-icon">
  <template>
    <link rel="stylesheet" href="big-status-icon.css?__inline=true">
    <style include="l1page-theme"></style>

    <svg viewBox="0 0 512 512">
      <g>
        <circle cx="256" cy="256", r="250"></circle>
        <polygon running points="211.344,306.703 160,256 128,288 211.414,368 384,176 351.703,144"/>
        <polygon not-running points="335.188,154.188 256,233.375 176.812,154.188 154.188,176.812 233.375,256 154.188,335.188 176.812,357.812    256,278.625 335.188,357.812 357.812,335.188 278.625,256 357.812,176.812"/>
        <path d="M256,0C114.609,0,0,114.609,0,256c0,141.391,114.609,256,256,256c141.391,0,256-114.609,256-256   C512,114.609,397.391,0,256,0z M256,472c-119.297,0-216-96.703-216-216S136.703,40,256,40s216,96.703,216,216S375.297,472,256,472z"/>
      </g>
    </svg>

    <slot></slot>
  </template>
</dom-module>

<script src="big-status-icon.js?__inline=true"></script>
